From 47048f95e0fd265badb53dc373e6bdc91f7ac39c Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Fri, 18 Nov 2022 14:31:50 +1100
Subject: [PATCH 28/56] java: Replace TYPE_MINVAL with TYPE_MIN_VALUE_RAW.

gcc/java/ChangeLog:

	* java-tree.h (TYPE_ARGUMENT_SIGNATURE): Replace TYPE_MINVAL with TYPE_MIN_VALUE_RAW.
---
 gcc/java/java-tree.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gcc/java/java-tree.h b/gcc/java/java-tree.h
index 6f286ecf666..813bc3237e1 100644
--- a/gcc/java/java-tree.h
+++ b/gcc/java/java-tree.h
@@ -1339,7 +1339,7 @@ extern tree *type_map;
 
 /* If FUNCTION_TYPE or METHOD_TYPE: cache for build_java_argument_signature. */
 #define TYPE_ARGUMENT_SIGNATURE(TYPE) \
-  (TYPE_MINVAL (TREE_CHECK2 (TYPE, FUNCTION_TYPE, METHOD_TYPE)))
+  (TYPE_MIN_VALUE_RAW (TREE_CHECK2 (TYPE, FUNCTION_TYPE, METHOD_TYPE)))
 
 /* Given an array type, give the type of the elements. */
 /* FIXME this use of TREE_TYPE conflicts with something or other. */
-- 
2.38.1

